# Copyright 2020 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# ARM NEON+FP16ARITH
- name: xnn_f16_dwconv2d_chw_ukernel_3x3p1__neonfp16arith_1x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3p1__neonfp16arith_1x8_acc2
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3p1__neonfp16arith_1x8_acc3
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3p1__neonfp16arith_1x8_acc4
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3p1__neonfp16arith_2x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3p1__neonfp16arith_2x8_acc2
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3p1__neonfp16arith_3x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3p1__neonfp16arith_4x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3p1__neonfp16arith_5x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3p1__neonfp16arith_6x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3s2p1__neonfp16arith_1x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3s2p1__neonfp16arith_1x8_acc2
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3s2p1__neonfp16arith_1x8_acc3
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3s2p1__neonfp16arith_1x8_acc4
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3s2p1__neonfp16arith_2x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3s2p1__neonfp16arith_2x8_acc2
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3s2p1__neonfp16arith_3x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_3x3s2p1__neonfp16arith_4x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5p2__neonfp16arith_1x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5p2__neonfp16arith_1x8_acc2
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5p2__neonfp16arith_1x8_acc3
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5p2__neonfp16arith_1x8_acc4
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5p2__neonfp16arith_1x8_acc5
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5p2__neonfp16arith_2x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5p2__neonfp16arith_2x8_acc2
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5p2__neonfp16arith_2x8_acc3
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5p2__neonfp16arith_3x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5p2__neonfp16arith_3x8_acc2
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5p2__neonfp16arith_4x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5p2__neonfp16arith_4x8_acc2
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5p2__neonfp16arith_5x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5s2p2__neonfp16arith_1x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5s2p2__neonfp16arith_1x8_acc2
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5s2p2__neonfp16arith_1x8_acc3
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5s2p2__neonfp16arith_1x8_acc4
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5s2p2__neonfp16arith_1x8_acc5
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5s2p2__neonfp16arith_2x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5s2p2__neonfp16arith_2x8_acc2
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5s2p2__neonfp16arith_2x8_acc3
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5s2p2__neonfp16arith_3x8
  init: xnn_init_f16_minmax_scalar_params
- name: xnn_f16_dwconv2d_chw_ukernel_5x5s2p2__neonfp16arith_3x8_acc2
  init: xnn_init_f16_minmax_scalar_params
